/* Multi Select Dropdown - https://github.com/codeshackio/multi-select-dropdown-js */
:root {
  --multi-select-spacing-smaller: 3px;
  --multi-select-spacing-small: 5px;
  --multi-select-spacing-medium: 7px;
  --multi-select-spacing-large: 12px;
  --multi-select-font-size: 12px;
  --multi-select-font-size-large: 14px;
  --multi-select-font-size-larger: 16px;
  --multi-select-line-height: 16px;
  --multi-select-text-color-dark: #212529;
  --multi-select-text-color: #585858;
  --multi-select-text-color-light: #65727e;
  --multi-select-border-color: #bebebe;
  --multi-select-border-color-light: #f1f3f5;
  --multi-select-input-placeholder: #65727e;
  --multi-select-input-border: #dee2e6;
  --multi-select-input-border-active: #c1c9d0;
  --multi-select-input-border-invalid: #e44e4e;
  --multi-select-input-outline-invalid: rgba(219, 138, 138, 0.5);
  --multi-select-input-color: #e9e9ed;
  --multi-select-input-disabled: #f7f7f7;
  --multi-select-input-min-height: 45px;
  --multi-select-options-height: 40dvh;
  --multi-select-option-background: #f3f4f7;
  --multi-select-border-radius: 5px;
  --multi-select-icon-size: 12px;
  --multi-select-icon-space: 30px;
  --multi-select-checkbox-size: 16px;
  --multi-select-checkbox-radius: 4px;
  --multi-select-checkbox-border: #ced4da;
  --multi-select-checkbox-background: #fff;
  --multi-select-checkbox-active: #fff;
  --multi-select-checkbox-thickness: 2px;
  --multi-select-primary-color: #40c979;
}
.jtf-join-form .multi-select {
  display: flex;
  box-sizing: border-box;
  flex-direction: column;
  position: relative;
  width: 100%;
  user-select: none;
}
.jtf-join-form .multi-select .multi-select-header {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  position: relative;
  border: 1px solid var(--multi-select-input-border, #dee2e6);
  border-radius: var(--multi-select-border-radius, 5px);
  padding: var(--multi-select-spacing-medium, 7px) var(--multi-select-spacing-large, 12px);
  padding-right: var(--multi-select-icon-space, 30px);
  overflow: hidden;
  gap: var(--multi-select-spacing-medium, 7px);
  min-height: var(--multi-select-input-min-height, 45px);
  box-sizing: border-box;
}
.jtf-join-form .multi-select .multi-select-header::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 15px;
  transform: translateY(-50%);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23949ba3' viewBox='0 0 16 16'%3E%3Cpath d='M8 13.1l-8-8 2.1-2.2 5.9 5.9 5.9-5.9 2.1 2.2z'/%3E%3C/svg%3E");
  height: var(--multi-select-icon-size, 12px);
  width: var(--multi-select-icon-size, 12px);
  pointer-events: none;
}
.jtf-join-form .multi-select .multi-select-header.multi-select-header-active {
  border-color: var(--multi-select-input-border-active, #c1c9d0);
}
.jtf-join-form .multi-select .multi-select-header.multi-select-header-active::after {
  transform: translateY(-50%) rotate(180deg);
}
.jtf-join-form .multi-select .multi-select-header .multi-select-header-placeholder {
  color: var(--multi-select-text-color-light, #65727e);
}
.jtf-join-form .multi-select .multi-select-header .multi-select-header-option {
  display: inline-flex;
  align-items: center;
  background-color: var(--multi-select-option-background, #f3f4f7);
  font-size: var(--multi-select-font-size-large, 14px);
  padding: var(--multi-select-spacing-smaller, 3px) var(--multi-select-spacing-small, 5px);
  border-radius: var(--multi-select-border-radius, 5px);
}
.jtf-join-form .multi-select .multi-select-options {
  display: none;
  flex-direction: column;
  box-sizing: border-box;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 999;
  margin-top: var(--multi-select-spacing-small, 5px);
  padding: var(--multi-select-spacing-small, 5px);
  background-color: #fff;
  border-radius: var(--multi-select-border-radius, 5px);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  max-height: var(--multi-select-options-height, 40dvh);
  overflow-y: auto;
  overflow-x: hidden;
}
.jtf-join-form .multi-select .multi-select-header.multi-select-header-active + .multi-select-options {
  display: flex;
}
.jtf-join-form .multi-select .multi-select-options::-webkit-scrollbar {
  width: 5px;
}
.jtf-join-form .multi-select .multi-select-options::-webkit-scrollbar-track {
  background: #f0f1f3;
}
.jtf-join-form .multi-select .multi-select-options::-webkit-scrollbar-thumb {
  background: #cdcfd1;
}
.jtf-join-form .multi-select .multi-select-options::-webkit-scrollbar-thumb:hover {
  background: #b2b6b9;
}
.jtf-join-form .multi-select .multi-select-options .multi-select-option,
.jtf-join-form .multi-select .multi-select-options .multi-select-all {
  padding: var(--multi-select-spacing-large, 12px);
  display: flex;
  align-items: center;
  cursor: pointer;
  border-radius: var(--multi-select-border-radius, 5px);
}
.jtf-join-form .multi-select .multi-select-options .multi-select-option .multi-select-option-radio,
.jtf-join-form .multi-select .multi-select-options .multi-select-all .multi-select-option-radio {
  background: var(--multi-select-checkbox-background, #fff);
  margin-right: var(--multi-select-spacing-large, 12px);
  height: var(--multi-select-checkbox-size, 16px);
  width: var(--multi-select-checkbox-size, 16px);
  border: 1px solid var(--multi-select-checkbox-border, #ced4da);
  border-radius: var(--multi-select-checkbox-radius, 4px);
  flex-shrink: 0;
}
.jtf-join-form .multi-select .multi-select-options .multi-select-option .multi-select-option-text,
.jtf-join-form .multi-select .multi-select-options .multi-select-all .multi-select-option-text {
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  font-size: var(--multi-select-font-size-larger, 16px);
  line-height: var(--multi-select-line-height, 16px);
  color: var(--multi-select-text-color-dark, #212529);
}
.jtf-join-form .multi-select .multi-select-options .multi-select-option.multi-select-selected .multi-select-option-radio,
.jtf-join-form .multi-select .multi-select-options .multi-select-all.multi-select-selected .multi-select-option-radio {
  border-color: var(--multi-select-primary-color, #40c979);
  background-color: var(--multi-select-primary-color, #40c979);
}
.jtf-join-form .multi-select .multi-select-options .multi-select-option.multi-select-selected .multi-select-option-radio::after,
.jtf-join-form .multi-select .multi-select-options .multi-select-all.multi-select-selected .multi-select-option-radio::after {
  content: "";
  display: block;
  width: calc(var(--multi-select-checkbox-size, 16px) / 4);
  height: calc(var(--multi-select-checkbox-size, 16px) / 2);
  border: solid var(--multi-select-checkbox-active, #fff);
  border-width: 0 var(--multi-select-checkbox-thickness, 2px) var(--multi-select-checkbox-thickness, 2px) 0;
  transform: rotate(45deg) translate(50%, -25%);
}
.jtf-join-form .multi-select .multi-select-options .multi-select-option:hover,
.jtf-join-form .multi-select .multi-select-options .multi-select-all:hover {
  background-color: var(--multi-select-option-background, #f3f4f7);
}
.jtf-join-form .multi-select .multi-select-options .multi-select-all {
  border-bottom: 1px solid var(--multi-select-border-color-light, #f1f3f5);
}
.jtf-join-form .multi-select .multi-select-options .multi-select-search {
  padding: var(--multi-select-spacing-medium, 7px) var(--multi-select-spacing-large, 12px);
  border: 1px solid var(--multi-select-input-border, #dee2e6);
  border-radius: var(--multi-select-border-radius, 5px);
  margin: 10px;
  width: calc(100% - 20px);
  outline: none;
  font-size: var(--multi-select-font-size-larger, 16px);
  box-sizing: border-box;
}
.jtf-join-form .multi-select .multi-select-options .multi-select-search::placeholder {
  color: var(--multi-select-text-color-light, #65727e);
}
